Bug 184398 - maintainer update: audio/praat
Summary: maintainer update: audio/praat
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-30 23:00 UTC by Jason W. Bacon
Modified: 2013-12-01 03:55 UTC (History)
0 users

See Also:


Attachments
file.diff (6.14 KB, patch)
2013-11-30 23:00 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2013-11-30 23:00:00 UTC
This update supersedes port/183486.

Upgrade to latest stable version and update port Makefile to conform to new ports standards.

Fix: Patch attached with submission follows:
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-01 02:20:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-01 03:49:03 UTC
Author: danilo
Date: Sun Dec  1 03:48:54 2013
New Revision: 335363
URL: http://svnweb.freebsd.org/changeset/ports/335363

Log:
  - Update from 4.6.39 to 5.3.59
  - Add stage support
  while here
  - Convert USE_DOS2UNIX to USES
  - Add pkgconfig and gtk20 as dependencies
  
  PR:		ports/184398
  Submitted by:	Jason Bacon <jwbacon@tds.net> (maintainer)

Added:
  head/audio/praat/files/makefile.defs.freebsd.alsa   (contents, props changed)
  head/audio/praat/files/patch-sys-melder.h   (contents, props changed)
Deleted:
  head/audio/praat/files/patch-makefiles_makefile.defs.freebsd.dynamic
Modified:
  head/audio/praat/Makefile
  head/audio/praat/distinfo   (contents, props changed)
  head/audio/praat/pkg-descr   (contents, props changed)

Modified: head/audio/praat/Makefile
==============================================================================
--- head/audio/praat/Makefile	Sun Dec  1 03:45:46 2013	(r335362)
+++ head/audio/praat/Makefile	Sun Dec  1 03:48:54 2013	(r335363)
@@ -2,37 +2,43 @@
 # $FreeBSD$
 
 PORTNAME=	praat
-PORTVERSION=	4.6.39
-PORTREVISION=	3
+PORTVERSION=	5.3.59
 CATEGORIES=	audio science
-MASTER_SITES=	http://personalpages.tds.net/~jwbacon/Ports/distfiles/
-DISTNAME=	praat4639_sources
+MASTER_SITES=	http://www.fon.hum.uva.nl/praat/
+DISTNAME=	praat5359_sources
 
 MAINTAINER=	jwbacon@tds.net
 COMMENT=	Phonetics by Computer
 
-USE_DOS2UNIX=	yes
-NO_STAGE=	yes
+LICENSE=	GPLv2
+
 DOS2UNIX_REGEX=	.*Makefile
-USES=		iconv motif
-WRKSRC=		${WRKDIR}/sources_4639
+USES=		dos2unix iconv motif pkgconfig
+USE_GNOME=	gtk20
+WRKSRC=		${WRKDIR}/sources_5359
 MAKEFILE=	makefile
-PLIST_FILES=	bin/praat
-MAKE_JOBS_UNSAFE=	yes
+PLIST_FILES=	bin/praat man/man1/praat.1.gz
 
-MAN1=		praat.1
+LIB_DEPENDS+=	libasound.so:${PORTSDIR}/audio/alsa-lib
 
 post-patch:
-	@${REINPLACE_CMD} -e 's/ log2/ NUMlog2/' ${WRKSRC}/dwtools/Sound_extensions.c
 	@${FIND} ${WRKSRC} -name Makefile -exec \
 		${REINPLACE_CMD} -e 's|^CFLAGS =|CFLAGS +=|' "{}" \;
-	@${REINPLACE_CMD} -e 's/%%ICONV_LIB%%/${ICONV_LIB}/' \
-		${WRKSRC}/makefiles/makefile.defs.freebsd.dynamic
-	@${CP} ${WRKSRC}/makefiles/makefile.defs.freebsd.dynamic \
+	@${FIND} ${WRKSRC} -name Makefile -exec \
+		${REINPLACE_CMD} -e 's|^CPPFLAGS =|CPPFLAGS +=|' "{}" \;
+	@${CP} ${FILESDIR}/makefile.defs.freebsd.alsa \
+		${WRKSRC}/makefile.defs
+	@${REINPLACE_CMD} -e 's|%%WRKSRC%%|${WRKSRC}|g' \
+			  -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
 		${WRKSRC}/makefile.defs
+	@${REINPLACE_CMD} -e 's| log2| NUMlog2|g' \
+			  -e 's|feof (f)|feof (f.get_ptr())|g' \
+			  -e 's|ferror (f)|ferror (f.get_ptr())|g' \
+		${WRKSRC}/dwtools/Sound_extensions.cpp \
+		${WRKSRC}/fon/Sound_files.cpp
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/praat ${PREFIX}/bin
-	${INSTALL_MAN} ${FILESDIR}/praat.1 ${PREFIX}/man/man1
+	${INSTALL_PROGRAM} ${WRKSRC}/praat ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_MAN} ${FILESDIR}/praat.1 ${STAGEDIR}${PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/audio/praat/distinfo
==============================================================================
--- head/audio/praat/distinfo	Sun Dec  1 03:45:46 2013	(r335362)
+++ head/audio/praat/distinfo	Sun Dec  1 03:48:54 2013	(r335363)
@@ -1,2 +1,2 @@
-SHA256 (praat4639_sources.tar.gz) = eba69ae300c9e86bea8a6dd69953b4436efb6519fb3ae228a9fe7d9e8cfa0c05
-SIZE (praat4639_sources.tar.gz) = 4928560
+SHA256 (praat5359_sources.tar.gz) = 0a2f27a0052f8197bd85036fa5c19e11b6854f3130a3fb66ad0055939ef6ed55
+SIZE (praat5359_sources.tar.gz) = 6856136

Added: head/audio/praat/files/makefile.defs.freebsd.alsa
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/praat/files/makefile.defs.freebsd.alsa	Sun Dec  1 03:48:54 2013	(r335363)
@@ -0,0 +1,24 @@
+# $FreeBSD$
+# File: makefile.defs.linux.alsa
+
+# System: Linux
+# Paul Boersma, 26 October 2013
+
+CC ?= gcc
+
+CXX ?= g++
+
+CFLAGS = -std=gnu99 -DUNIX -Dlinux -DALSA `pkg-config --cflags gtk+-2.0` -Werror=implicit -Wreturn-type -Wunused -Wunused-parameter -Wuninitialized -O1 -g1
+
+CXXFLAGS = -Wshadow -DUNIX -Dlinux -DALSA `pkg-config --cflags gtk+-2.0` -Werror=implicit -Wreturn-type -Wunused -Wunused-parameter -Wuninitialized -O1 -g1 -I%%WRKSRC%%/sys -I%%WRKSRC%%/dwsys -I%%WRKSRC%%/num -I%%WRKSRC%%/stat -I%%WRKSRC%%/kar -I%%WRKSRC%%/dwtools -I%%WRKSRC%%/fon -I%%WRKSRC%%/LPC -I%%WRKSRC%%/EEG -I%%WRKSRC%%/external/espeak -I%%WRKSRC%%/external/flac -I%%WRKSRC%%/external/mp3 -I%%WRKSRC%%/external/gsl -I%%LOCALBASE%%/include
+
+LINK ?= $(CXX)
+
+EXECUTABLE = praat
+
+LIBS = `pkg-config --libs gtk+-2.0` -L%%LOCALBASE%%/lib -lm -lasound -lpthread -ltinfow
+
+AR = ar
+RANLIB = ls
+ICON =
+MAIN_ICON =

Added: head/audio/praat/files/patch-sys-melder.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/praat/files/patch-sys-melder.h	Sun Dec  1 03:48:54 2013	(r335363)
@@ -0,0 +1,14 @@
+--- sys/melder.h.orig	2013-10-22 08:29:40.000000000 -0500
++++ sys/melder.h	2013-11-23 12:43:08.000000000 -0600
+@@ -1073,6 +1073,11 @@
+ 			Melder_fclose (file, tmp);
+ 		}
+ 	}
++	// operator () is not working in Sound_files.cpp:226 for some reason
++	FILE * get_ptr(void)
++	{
++		return ptr;
++	}
+ };
+ 
+ class autoMelderFile {

Modified: head/audio/praat/pkg-descr
==============================================================================
--- head/audio/praat/pkg-descr	Sun Dec  1 03:45:46 2013	(r335362)
+++ head/audio/praat/pkg-descr	Sun Dec  1 03:48:54 2013	(r335363)
@@ -1,3 +1,4 @@
-Praat: doing phonetics by computer.
+Praat (the Dutch word for "talk") is a free scientific computer software
+package for the analysis of speech in phonetics.
 
 WWW: http://www.praat.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-12-01 03:55:49 UTC
State Changed
From-To: open->closed

Committed. pkgconfig and gtk20 were added as dependencies. Thanks!